Package com.collibra.dgc.core.api.dto.quality

# Class AddDataQualityRuleRequest

Object
AddDataQualityRuleRequest

All Implemented Interfaces:
  `Serializable`

@Deprecated public class AddDataQualityRuleRequest extends Object implements Serializable
Deprecated.
This class will be removed in the future. This feature is being dropped, so no replacement will be available.
The properties of the data quality rule to be added. Note: mandatory dataQualityMetrics are created automatically, so you should not add them with this request.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddDataQualityRuleRequest.Builder`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddDataQualityRuleRequest()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddDataQualityRuleRequest.Builder`
  `builder()`
  Deprecated.
  `protected boolean`
  `canEqual(Object other)`
  Deprecated.
  `boolean`
  `equals(Object o)`
  Deprecated.
  `UUID`
  `getCategorizationRelationTypeId()`
  Deprecated.
  The ID of the categorization relation type.
  `List<DataQualityMetricRequest>`
  `getDataQualityMetrics()`
  Deprecated.
  The Data Quality Metrics that should be assigned to the rule that is going to be created.
  `String`
  `getDescription()`
  Deprecated.
  The description of the new data quality rule.
  `UUID`
  `getId()`
  Deprecated.
  The ID of the new Data Quality Rule.
  `String`
  `getName()`
  Deprecated.
  The name of the new data quality rule.
  `List<RelationTraceEntryRequest>`
  `getRelationTraceEntries()`
  Deprecated.
  The list of entries that describes relations along which the data quality result is calculated.
  `int`
  `hashCode()`
  Deprecated.
  `boolean`
  `isProfilingEnabled()`
  Deprecated.
  Indicates whether profiling statistics should be enabled for this rule.
  `void`
  `setCategorizationRelationTypeId(UUID categorizationRelationTypeId)`
  Deprecated.
  The ID of the categorization relation type.
  `void`
  `setDataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)`
  Deprecated.
  The Data Quality Metrics that should be assigned to the rule that is going to be created.
  `void`
  `setDescription(String description)`
  Deprecated.
  The description of the new data quality rule.
  `void`
  `setId(UUID id)`
  Deprecated.
  The ID of the new Data Quality Rule.
  `void`
  `setName(String name)`
  Deprecated.
  The name of the new data quality rule.
  `void`
  `setProfilingEnabled(boolean profilingEnabled)`
  Deprecated.
  Indicates whether profiling statistics should be enabled for this rule.
  `void`
  `setRelationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)`
  Deprecated.
  The list of entries that describes relations along which the data quality result is calculated.
  `String`
  `toString()`
  Deprecated.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddDataQualityRuleRequest

    public AddDataQualityRuleRequest()
    Deprecated.

- ## Method Details

  - ### builder

    public static AddDataQualityRuleRequest.Builder builder()
    Deprecated.

  - ### getId

    public UUID getId()
    Deprecated.
    The ID of the new Data Quality Rule. Should be unique within all data quality rules. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### getName

    public String getName()
    Deprecated.
    The name of the new data quality rule. Should be unique within all data quality rules.

  - ### getDescription

    public String getDescription()
    Deprecated.
    The description of the new data quality rule.

  - ### getCategorizationRelationTypeId

    public UUID getCategorizationRelationTypeId()
    Deprecated.
    The ID of the categorization relation type.

  - ### isProfilingEnabled

    public boolean isProfilingEnabled()
    Deprecated.
    Indicates whether profiling statistics should be enabled for this rule.

  - ### getDataQualityMetrics

    public List<DataQualityMetricRequest> getDataQualityMetrics()
    Deprecated.
    The Data Quality Metrics that should be assigned to the rule that is going to be created.

  - ### getRelationTraceEntries

    public List<RelationTraceEntryRequest> getRelationTraceEntries()
    Deprecated.
    The list of entries that describes relations along which the data quality result is calculated.

  - ### setId

    public void setId(UUID id)
    Deprecated.
    The ID of the new Data Quality Rule. Should be unique within all data quality rules. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### setName

    public void setName(String name)
    Deprecated.
    The name of the new data quality rule. Should be unique within all data quality rules.

  - ### setDescription

    public void setDescription(String description)
    Deprecated.
    The description of the new data quality rule.

  - ### setCategorizationRelationTypeId

    public void setCategorizationRelationTypeId(UUID categorizationRelationTypeId)
    Deprecated.
    The ID of the categorization relation type.

  - ### setProfilingEnabled

    public void setProfilingEnabled(boolean profilingEnabled)
    Deprecated.
    Indicates whether profiling statistics should be enabled for this rule.

  - ### setDataQualityMetrics

    public void setDataQualityMetrics(List<DataQualityMetricRequest> dataQualityMetrics)
    Deprecated.
    The Data Quality Metrics that should be assigned to the rule that is going to be created.

  - ### setRelationTraceEntries

    public void setRelationTraceEntries(List<RelationTraceEntryRequest> relationTraceEntries)
    Deprecated.
    The list of entries that describes relations along which the data quality result is calculated.

  - ### equals

    public boolean equals(Object o)
    Deprecated.
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)
    Deprecated.

  - ### hashCode

    public int hashCode()
    Deprecated.
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Deprecated.
    Overrides:
      `toString` in class `Object`